Package org.linphone.core

# Enum Class BaudotMode

java.lang.Object
java.lang.Enum<BaudotMode>
org.linphone.core.BaudotMode

All Implemented Interfaces:
  `Serializable`, `Comparable<BaudotMode>`, `Constable`

public enum BaudotMode extends Enum<BaudotMode>
`BaudotMode` enum represents the Baudot mode to use for the call.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HearingCarryOver`
Send Baudot tones, but receive audio.
`Tty`
Send and receive Baudot tones.
`Voice`
Send and receive audio.
`VoiceCarryOver`
Send audio, but receive Baudot tones.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static BaudotMode`
`fromInt(int value)`
`protected static BaudotMode[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(BaudotMode[] values)`
`static BaudotMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BaudotMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Voice

public static final BaudotMode Voice
Send and receive audio.

### Tty

public static final BaudotMode Tty
Send and receive Baudot tones.

### HearingCarryOver

public static final BaudotMode HearingCarryOver
Send Baudot tones, but receive audio.

### VoiceCarryOver

public static final BaudotMode VoiceCarryOver
Send audio, but receive Baudot tones.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static BaudotMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BaudotMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static BaudotMode fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static BaudotMode[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(BaudotMode[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()